Bug 830605 - evince-3.5.2-1.fc18.x86_64: *** glibc detected *** evince: free(): invalid pointer: 0x0000000000a94810 ***
evince-3.5.2-1.fc18.x86_64: *** glibc detected *** evince: free(): invalid po...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 17:29 EDT by Tom London
Modified: 2015-02-17 09:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:16:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of 'gdb evince core.XXXX; thread apply all bt full' (20.97 KB, text/plain)
2012-06-10 17:34 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2012-06-10 17:29:07 EDT
Description of problem:

Getting Abort every time I try to save a copy of/print an opened/displayed .pdf file.

Have core file.  Let me know if there is useful information that I can provide.

[tbl@tlondon ~]$ evince
*** glibc detected *** evince: free(): invalid pointer: 0x0000000000a94810 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3116a7e274]
/lib64/libglib-2.0.so.0(g_free+0xf)[0x311864d4ff]
/lib64/libevdocument3.so.4(ev_document_factory_add_filters+0x12d)[0x3118a1759d]
evince[0x428c5c]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x194)[0x3119a0f854]
/lib64/libgobject-2.0.so.0[0x3119a21538]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0xd6f)[0x3119a297df]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x82)[0x3119a299c2]
/lib64/libgtk-3.so.0[0x3129e9b0d3]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x194)[0x3119a0f854]
/lib64/libgobject-2.0.so.0[0x3119a20e63]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0xd6f)[0x3119a297df]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x82)[0x3119a299c2]
/lib64/libgtk-3.so.0(gtk_widget_activate+0x7c)[0x312a0defbc]
/lib64/libgtk-3.so.0(gtk_menu_shell_activate_item+0xfe)[0x3129fbc91e]
/lib64/libgtk-3.so.0[0x3129fbcd0b]
/lib64/libgtk-3.so.0[0x3129f9e56f]
/lib64/libgobject-2.0.so.0[0x3119a0fb33]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x8a5)[0x3119a29315]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x82)[0x3119a299c2]
/lib64/libgtk-3.so.0[0x312a0dfbce]
/lib64/libgtk-3.so.0[0x3129f9c406]
/lib64/libgtk-3.so.0(gtk_main_do_event+0x4ab)[0x3129f9e11b]
/lib64/libgdk-3.so.0[0x312824e1e2]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x31186477b5]
/lib64/libglib-2.0.so.0[0x3118647ae8]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x72)[0x3118647ee2]
/lib64/libgtk-3.so.0(gtk_main+0x85)[0x3129f9d4d5]
evince[0x41c725]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x3116a21ba5]
evince[0x41c7f9]
======= Memory map: ========
00400000-00463000 r-xp 00000000 fd:00 1384                               /usr/bin/evince
00663000-00664000 r--p 00063000 fd:00 1384                               /usr/bin/evince
00664000-0066f000 rw-p 00064000 fd:00 1384                               /usr/bin/evince
00973000-010d7000 rw-p 00000000 00:00 0                                  [heap]
3116600000-3116623000 r-xp 00000000 fd:00 917618                         /usr/lib64/ld-2.15.90.so
3116822000-3116823000 r--p 00022000 fd:00 917618                         /usr/lib64/ld-2.15.90.so
3116823000-3116824000 rw-p 00023000 fd:00 917618                         /usr/lib64/ld-2.15.90.so
3116824000-3116825000 rw-p 00000000 00:00 0 
3116a00000-3116bb5000 r-xp 00000000 fd:00 924401                         /usr/lib64/libc-2.15.90.so
3116bb5000-3116db4000 ---p 001b5000 fd:00 924401                         /usr/lib64/libc-2.15.90.so
3116db4000-3116db8000 r--p 001b4000 fd:00 924401                         /usr/lib64/libc-2.15.90.so
3116db8000-3116dba000 rw-p 001b8000 fd:00 924401                         /usr/lib64/libc-2.15.90.so
3116dba000-3116dbf000 rw-p 00000000 00:00 0 
3116e00000-3116e17000 r-xp 00000000 fd:00 939577                         /usr/lib64/libpthread-2.15.90.so
3116e17000-3117016000 ---p 00017000 fd:00 939577                         /usr/lib64/libpthread-2.15.90.so
3117016000-3117017000 r--p 00016000 fd:00 939577                         /usr/lib64/libpthread-2.15.90.so
3117017000-3117018000 rw-p 00017000 fd:00 939577                         /usr/lib64/libpthread-2.15.90.so
3117018000-311701c000 rw-p 00000000 00:00 0 
3117200000-3117300000 r-xp 00000000 fd:00 948776                         /usr/lib64/libm-2.15.90.so
3117300000-31174ff000 ---p 00100000 fd:00 948776                         /usr/lib64/libm-2.15.90.so
31174ff000-3117500000 r--p 000ff000 fd:00 948776                         /usr/lib64/libm-2.15.90.so
3117500000-3117501000 rw-p 00100000 fd:00 948776                         /usr/lib64/libm-2.15.90.so
3117600000-3117603000 r-xp 00000000 fd:00 947203                         /usr/lib64/libdl-2.15.90.so
3117603000-3117802000 ---p 00003000 fd:00 947203                         /usr/lib64/libdl-2.15.90.so
3117802000-3117803000 r--p 00002000 fd:00 947203                         /usr/lib64/libdl-2.15.90.so
3117803000-3117804000 rw-p 00003000 fd:00 947203                         /usr/lib64/libdl-2.15.90.so
3117a00000-3117a07000 r-xp 00000000 fd:00 947207                         /usr/lib64/librt-2.15.90.so
3117a07000-3117c06000 ---p 00007000 fd:00 947207                         /usr/lib64/librt-2.15.90.so
3117c06000-3117c07000 r--p 00006000 fd:00 947207                         /usr/lib64/librt-2.15.90.so
3117c07000-3117c08000 rw-p 00007000 fd:00 947207                         /usr/lib64/librt-2.15.90.so
3117e00000-3117e15000 r-xp 00000000 fd:00 948509                         /usr/lib64/libz.so.1.2.7
3117e15000-3118014000 ---p 00015000 fd:00 948509                         /usr/lib64/libz.so.1.2.7
3118014000-3118015000 r--p 00014000 fd:00 948509                         /usr/lib64/libz.so.1.2.7
3118015000-3118016000 rw-p 00015000 fd:00 948509                         /usr/lib64/libz.so.1.2.7
3118200000-311821e000 r-xp 00000000 fd:00 948524                         /usr/lib64/libselinux.so.1
311821e000-311841d000 ---p 0001e000 fd:00 948524                         /usr/lib64/libselinux.so.1
311841d000-311841e000 r--p 0001d000 fd:00 948524                         /usr/lib64/libselinux.so.1
311841e000-311841f000 rw-p 0001e000 fd:00 948524                         /usr/lib64/libselinux.so.1
311841f000-3118421000 rw-p 00000000 00:00 0 
3118600000-311871d000 r-xp 00000000 fd:00 947208                         /usr/lib64/libglib-2.0.so.0.3302.0
311871d000-311891d000 ---p 0011d000 fd:00 947208                         /usr/lib64/libglib-2.0.so.0.3302.0
311891d000-311891e000 r--p 0011d000 fd:00 947208                         /usr/lib64/libglib-2.0.so.0.3302.0
311891e000-311891f000 rw-p 0011e000 fd:00 947208                         /usr/lib64/libglib-2.0.so.0.3302.0
311891f000-3118920000 rw-p 00000000 00:00 0 
3118a00000-3118a34000 r-xp 00000000 fd:00 950822                         /usr/lib64/libevdocument3.so.4.0.0
3118a34000-3118c34000 ---p 00034000 fd:00 950822                         /usr/lib64/libevdocument3.so.4.0.0
3118c34000-3118c36000 r--p 00034000 fd:00 950822                         /usr/lib64/libevdocument3.so.4.0.0
3118c36000-3118c37000 rw-p 00036000 fd:00 950822                         /usr/lib64/libevdocument3.so.4.0.0
3118e00000-3118e16000 r-xp 00000000 fd:00 948620                         /usr/lib64/libresolv-2.15.90.so
3118e16000-3119016000 ---p 00016000 fd:00 948620                         /usr/lib64/libresolv-2.15.90.so
3119016000-3119017000 r--p 00016000 fd:00 948620                         /usr/lib64/libresolv-2.15.90.so
3119017000-3119018000 rw-p 00017000 fd:00 948620                         /usr/lib64/libresolv-2.15.90.so
3119018000-311901a000 rw-p 00000000 00:00 0 
3119200000-3119207000 r-xp 00000000 fd:00 948355                         /usr/lib64/libffi.so.5.0.10
3119207000-3119406000 ---p 00007000 fd:00 948355                         /usr/lib64/libffi.so.5.0.10
3119406000-3119407000 r--p 00006000 fd:00 948355                         /usr/lib64/libffi.so.5.0.10Aborted (core dumped)
[tbl@tlondon ~]$ 


Version-Release number of selected component (if applicable):
evince-djvu-3.5.2-1.fc18.x86_64
evince-debuginfo-3.5.2-1.fc18.x86_64
glibc-debuginfo-2.15.90-10.fc18.x86_64
evince-3.5.2-1.fc18.x86_64
glibc-headers-2.15.90-10.fc18.x86_64
glibc-debuginfo-common-2.15.90-10.fc18.x86_64
glibc-common-2.15.90-10.fc18.x86_64
glibc-devel-2.15.90-10.fc18.x86_64
glibc-2.15.90-10.fc18.x86_64
evince-libs-3.5.2-1.fc18.x86_64


How reproducible:
Every time I try to save/print a displayed pdf file.

Steps to Reproduce:
1. Open .pdf in evince
2. File->Print or File->Save a copy
3. Bam!
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2012-06-10 17:34:47 EDT
Created attachment 590794 [details]
output of 'gdb evince core.XXXX; thread apply all bt full'
Comment 2 Tom London 2012-06-10 17:56:34 EDT
Ooops....

Appears the printing issue is a different problem. Do you want me to open another BZ for it?

[New Thread 0x7fffef602700 (LWP 6485)]

Program received signal SIGSEGV, Segmentation fault.
decode_integer (p=0x0, integer=integer@entry=0x7fffffffd720)
    at cairo-cff-subset.c:241
241	    if (*p == 28) {
Missing separate debuginfos, use: debuginfo-install colord-0.1.21-1.fc18.x86_64 cups-libs-1.5.3-3.fc18.x86_64 gnome-keyring-3.4.1-2.fc18.x86_64 gnutls-2.12.19-1.fc18.x86_64 keyutils-libs-1.5.5-2.fc17.x86_64 krb5-libs-1.10.2-2.fc18.x86_64 lcms2-2.3-2.fc17.x86_64 libcom_err-1.42.3-2.fc18.x86_64 libtasn1-2.12-1.fc18.x86_64 p11-kit-0.12-1.fc17.x86_64
(gdb) set pagination off
(gdb) thread apply all bt full

Thread 12 (Thread 0x7fffef602700 (LWP 6485)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
No locals.
#1  0x0000003118683cef in g_cond_wait (cond=cond@entry=0x7ffff7da1cc0 <job_queue_cond>, mutex=mutex@entry=0x7ffff7da1cb0 <job_queue_mutex>) at gthread-posix.c:746
        _g_boolean_var_ = <optimized out>
        status = <optimized out>
#2  0x00007ffff7b7aa9f in ev_job_thread_proxy (data=<optimized out>) at ev-job-scheduler.c:231
        job = 0x0
#3  0x000000311866a685 in g_thread_proxy (data=0xa448a0) at gthread.c:801
        thread = 0xa448a0
#4  0x0000003116e07ef5 in start_thread (arg=0x7fffef602700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7fffef602700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140737209444096, 1866448531370849723, 1, 8146288, 140737209444096, 18, -1866412411644758597, 1838832919003968955}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#5  0x0000003116af4e4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
No locals.

Thread 9 (Thread 0x7fffdaac6700 (LWP 6474)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
No locals.
#1  0x0000003118683de5 in g_cond_wait_until (cond=cond@entry=0x7bdf48, mutex=mutex@entry=0x7bdf40, end_time=end_time@entry=5372483463) at gthread-posix.c:855
        ts = {tv_sec = 5372, tv_nsec = 483463000}
        status = <optimized out>
#2  0x000000311861e5c1 in g_async_queue_pop_intern_unlocked (queue=queue@entry=0x7bdf40, wait=wait@entry=1, end_time=end_time@entry=5372483463) at gasyncqueue.c:424
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x000000311861ec0a in g_async_queue_timeout_pop (queue=0x7bdf40, timeout=timeout@entry=15000000) at gasyncqueue.c:545
        end_time = 5372483463
        retval = <optimized out>
#4  0x000000311866ae42 in g_thread_pool_wait_for_new_pool () at gthreadpool.c:169
        pool = <optimized out>
        local_max_idle_time = 15000
        local_wakeup_thread_serial = <optimized out>
        local_max_unused_threads = 2
        last_wakeup_thread_serial = 0
        have_relayed_thread_marker = 0
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:366
        free_pool = <optimized out>
        task = 0x2
        pool = <optimized out>
#6  0x000000311866a685 in g_thread_proxy (data=0x9b86d0) at gthread.c:801
        thread = 0x9b86d0
#7  0x0000003116e07ef5 in start_thread (arg=0x7fffdaac6700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7fffdaac6700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736862119680, 1866448531370849723, 1, 210831028224, 140736862119680, 8119264, -1866389839444134469, 1838832919003968955}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x0000003116af4e4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
No locals.

Thread 5 (Thread 0x7fffed4b8700 (LWP 6469)):
#0  0x0000003116aec24d in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
#1  0x0000003118647a84 in g_main_context_poll (n_fds=1, fds=0x7fffe40010e0, timeout=-1, context=0x999990, priority=<optimized out>) at gmain.c:3440
        poll_func = 0x3118655940 <g_poll>
#2  g_main_context_iterate (context=0x999990, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3141
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = 0x7fffe40010e0
#3  0x0000003118647ee2 in g_main_loop_run (loop=0x7fffe40010c0) at gmain.c:3340
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00007fffed4c7b2b in dconf_context_thread (data=0x999990) at dconfcontext.c:11
        context = 0x999990
        loop = <optimized out>
        __PRETTY_FUNCTION__ = "dconf_context_thread"
#5  0x000000311866a685 in g_thread_proxy (data=0x9562d0) at gthread.c:801
        thread = 0x9562d0
#6  0x0000003116e07ef5 in start_thread (arg=0x7fffed4b8700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7fffed4b8700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140737174537984, 1866448531370849723, 1, 210831028224, 140737174537984, 10066320, -1866408231567837765, 1838832919003968955}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003116af4e4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
No locals.

Thread 2 (Thread 0x7ffff0604700 (LWP 6466)):
#0  0x0000003116aec24d in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
#1  0x0000003118647a84 in g_main_context_poll (n_fds=5, fds=0x7fffe8008440, timeout=-1, context=0x7b7f30, priority=<optimized out>) at gmain.c:3440
        poll_func = 0x3118655940 <g_poll>
#2  g_main_context_iterate (context=0x7b7f30, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3141
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 5
        allocated_nfds = <optimized out>
        fds = 0x7fffe8008440
#3  0x0000003118647ee2 in g_main_loop_run (loop=0x7b7e50) at gmain.c:3340
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x000000311a2d6376 in gdbus_shared_thread_func (user_data=0x7b7f00) at gdbusprivate.c:277
        data = 0x7b7f00
#5  0x000000311866a685 in g_thread_proxy (data=0x7bb850) at gthread.c:801
        thread = 0x7bb850
#6  0x0000003116e07ef5 in start_thread (arg=0x7ffff0604700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7ffff0604700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140737226229504, 1866448531370849723, 1, 210831028224, 140737226229504, 8093440, -1866436601974311493, 1838832919003968955}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003116af4e4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
No locals.

Thread 1 (Thread 0x7ffff7b419c0 (LWP 6463)):
#0  decode_integer (p=0x0, integer=integer@entry=0x7fffffffd720) at cairo-cff-subset.c:241
No locals.
#1  0x0000003123e7a91a in cairo_cff_font_read_top_dict (font=0xbb8400) at cairo-cff-subset.c:1185
        index = {size = 1, num_elements = 1, element_size = 24, elements = 0xb9f0b0 ""}
        element = <optimized out>
        buf = "\000\000\000\000|\000\000\000 \207\333\026\061\000\000\000\n\000\000"
        end_buf = <optimized out>
        operand = <optimized out>
        status = CAIRO_INT_STATUS_SUCCESS
        p = 0xc3cda6 "x\236\371b\236\373j\232\367*\232\006\367\242\226\367\020\217\375\t\230\a\036\240Cy\027\377\f\t\327\n\343\v\370\300\024\367\276\025\367^\367\016\367c\016x\201\001"
        size = <optimized out>
        offset = 234
#2  0x0000003123e7c012 in cairo_cff_font_read_font (font=0xbb8400) at cairo-cff-subset.c:1321
        i = <optimized out>
        status = <optimized out>
#3  cairo_cff_font_generate (length=<synthetic pointer>, data=<synthetic pointer>, font=0xbb8400) at cairo-cff-subset.c:2545
        status = <optimized out>
#4  _cairo_cff_subset_init (cff_subset=cff_subset@entry=0x7fffffffd9d0, subset_name=subset_name@entry=0x7fffffffda40 "CairoFont-0-0", font_subset=font_subset@entry=0x7fffffffdb40) at cairo-cff-subset.c:2928
        font = <optimized out>
        status = <optimized out>
        data = 0x0
        length = 0
        i = <optimized out>
#5  0x0000003123ec30a2 in _cairo_pdf_surface_emit_cff_font_subset (font_subset=0x7fffffffdb40, surface=0xdb9b70) at cairo-pdf-surface.c:4884
        status = <optimized out>
        subset = {family_name_utf8 = 0x530000008e <Address 0x530000008e out of bounds>, ps_name = 0x6e0000005f <Address 0x6e0000005f out of bounds>, widths = 0x7c00000077, x_min = 6.9533558073543773e-310, y_min = 2.2602912394724603e-316, x_max = 6.9533558073583298e-310, y_max = 1.0355615936832528e-320, ascent = 2.1219957909652723e-314, descent = 1.9762625833649862e-323, data = 0x97 <Address 0x97 out of bounds>, data_length = 210836883232}
        name = "CairoFont-0-0\000\000\000\270\271\265\367\377\177\000\000\227", '\000' <repeats 15 times>"\300, b\322\000\000\000\000\000\070\022\355#1\000\000\000\300\030\302\000\000\000\000"
#6  _cairo_pdf_surface_emit_unscaled_font_subset (font_subset=0x7fffffffdb40, closure=0xdb9b70) at cairo-pdf-surface.c:5596
        surface = 0xdb9b70
        status = CAIRO_INT_STATUS_SUCCESS
#7  0x0000003123e7d6fe in _cairo_sub_font_collect (closure=0x7fffffffdaf0, entry=0xab7e10) at cairo-scaled-font-subsets.c:751
        sub_font = 0xab7e10
        collection = 0x7fffffffdaf0
        subset = {scaled_font = 0xd801a0, font_id = 0, subset_id = 0, glyphs = 0xdb1f50, utf8 = 0xc81c00, glyph_names = 0x0, to_latin_char = 0xd23350, latin_to_subset_glyph_index = 0xceb580, num_glyphs = 76, is_composite = 1, is_scaled = 0, is_latin = 1}
        i = <optimized out>
        j = <optimized out>
#8  _cairo_scaled_font_subsets_foreach_internal (font_subsets=<optimized out>, font_subset_callback=font_subset_callback@entry=0x3123ec3020 <_cairo_pdf_surface_emit_unscaled_font_subset>, closure=closure@entry=0xdb9b70, type=type@entry=CAIRO_SUBSETS_FOREACH_UNSCALED) at cairo-scaled-font-subsets.c:1072
        collection = {glyphs = 0xdb1f50, utf8 = 0xc81c00, glyphs_size = 76, to_latin_char = 0xd23350, latin_to_subset_glyph_index = 0xceb580, max_glyph = 75, num_glyphs = 76, subset_id = 0, status = CAIRO_STATUS_SUCCESS, font_subset_callback = 0x3123ec3020 <_cairo_pdf_surface_emit_unscaled_font_subset>, font_subset_callback_closure = 0xdb9b70}
        sub_font = 0xab7e10
        is_scaled = <optimized out>
        is_user = 0
#9  0x0000003123e7e8d7 in _cairo_scaled_font_subsets_foreach_unscaled (font_subsets=<optimized out>, font_subset_callback=font_subset_callback@entry=0x3123ec3020 <_cairo_pdf_surface_emit_unscaled_font_subset>, closure=closure@entry=0xdb9b70) at cairo-scaled-font-subsets.c:1100
No locals.
#10 0x0000003123ec0b52 in _cairo_pdf_surface_emit_font_subsets (surface=0xdb9b70) at cairo-pdf-surface.c:5646
        status = CAIRO_STATUS_SUCCESS
#11 _cairo_pdf_surface_finish (abstract_surface=0xdb9b70) at cairo-pdf-surface.c:1959
        surface = 0xdb9b70
        offset = 6801760
        info = <optimized out>
        catalog = <optimized out>
        status = <optimized out>
        status2 = <optimized out>
#12 0x0000003123e6338c in _cairo_surface_finish (surface=surface@entry=0xdb9b70) at cairo-surface.c:919
        status = <optimized out>
        __PRETTY_FUNCTION__.10897 = "_cairo_surface_finish"
#13 0x0000003123e637cd in *INT_cairo_surface_finish (surface=0xdb9b70) at cairo-surface.c:963
No locals.
#14 INT_cairo_surface_finish (surface=0xdb9b70) at cairo-surface.c:950
No locals.
#15 0x0000003123e3e7f4 in _cairo_paginated_surface_finish (abstract_surface=0xdb0c00) at cairo-paginated-surface.c:213
        surface = 0xdb0c00
        status = CAIRO_STATUS_SUCCESS
#16 0x0000003123e6338c in _cairo_surface_finish (surface=surface@entry=0xdb0c00) at cairo-surface.c:919
        status = <optimized out>
        __PRETTY_FUNCTION__.10897 = "_cairo_surface_finish"
#17 0x0000003123e637cd in *INT_cairo_surface_finish (surface=0xdb0c00) at cairo-surface.c:963
No locals.
#18 INT_cairo_surface_finish (surface=0xdb0c00) at cairo-surface.c:950
No locals.
#19 0x000000312a113e45 in unix_end_run (op=0xa11a10 [GtkPrintOperation], wait=0, cancelled=0) at gtkprintoperation-unix.c:364
        op_unix = 0xd920a0
#20 0x0000003129fe8f43 in print_pages_idle (user_data=0xd94170) at gtkprintoperation.c:2914
        data = 0xd94170
        priv = 0xa11a30
        done = <optimized out>
#21 0x000000312821af00 in gdk_threads_dispatch (data=0xdb38c0) at gdk.c:763
        dispatch = 0xdb38c0
        ret = 0
#22 0x00000031186477b5 in g_main_dispatch (context=0x67c960) at gmain.c:2539
        dispatch = 0x3118645510 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0xdb38c0
        callback = 0x312821aed0 <gdk_threads_dispatch>
        cb_funcs = 0x311891e960 <g_source_callback_funcs>
        cb_data = 0xd9a7d0
        current_source_link = {data = 0xdb3e20, next = 0x0}
        need_destroy = <optimized out>
        source = 0xdb3e20
        current = 0x7bef00
        i = <optimized out>
#23 g_main_context_dispatch (context=context@entry=0x67c960) at gmain.c:3075
No locals.
#24 0x0000003118647ae8 in g_main_context_iterate (context=0x67c960, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3146
        max_priority = 210
        timeout = 0
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = <optimized out>
        fds = 0xbbcc90
#25 0x0000003118647ee2 in g_main_loop_run (loop=0x9d89b0) at gmain.c:3340
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#26 0x0000003129f9d4d5 in gtk_main () at gtkmain.c:1162
        loop = 0x9d89b0
#27 0x000000000041c725 in main (argc=1, argv=0x7fffffffdf78) at main.c:329
        context = <optimized out>
        error = 0x0
(gdb)
Comment 3 Fedora End Of Life 2013-04-03 12:22:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 12:11:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:16:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.